Bug 24515 - Column Configuration for pay-fines-table does not hide Account Type properly
Summary: Column Configuration for pay-fines-table does not hide Account Type properly
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-24 20:12 UTC by Kelly McElligott
Modified: 2020-03-18 11:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08


Attachments
Bug 24515: Column Configuration for pay-fines-table does not hide Account Type properly (1.45 KB, patch)
2020-01-24 23:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24515: Column Configuration for pay-fines-table does not hide Account Type properly (1.50 KB, patch)
2020-01-25 02:41 UTC, David Nind
Details | Diff | Splinter Review
Bug 24515: Column Configuration for pay-fines-table does not hide Account Type properly (1.55 KB, patch)
2020-01-25 17:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2020-01-24 20:12:16 UTC
In the Patron set of the Column Configuration under Pay-Fines-Table, checking to hide the "account type" field does not hide the "Account Type" in pay.pl.  If "Account Type" and "Description" are both chosen, it will hide the "account type" in pay.pl but not the "description".
Comment 1 Owen Leonard 2020-01-24 23:29:46 UTC
Created attachment 97931 [details] [review]
Bug 24515: Column Configuration for pay-fines-table does not hide Account Type properly

This patch corrects the order of the columns in the columns
configuration YML file. The incorrect order was causing the wrong column
to be hidden when changing the columns settings for the table in
Administration.

To test, apply the patch and go to Administration -> Columns settings.

 - Under Patrons -> pay-fines-table, test hiding the account_type and
   description columns, together and separately.
 - Verify that the correct columns are hidden on the pay fines screen
   (Patron -> Accounting -> Make a payment)
Comment 2 David Nind 2020-01-25 02:41:17 UTC
Created attachment 97933 [details] [review]
Bug 24515: Column Configuration for pay-fines-table does not hide Account Type properly

This patch corrects the order of the columns in the columns
configuration YML file. The incorrect order was causing the wrong column
to be hidden when changing the columns settings for the table in
Administration.

To test, apply the patch and go to Administration -> Columns settings.

 - Under Patrons -> pay-fines-table, test hiding the account_type and
   description columns, together and separately.
 - Verify that the correct columns are hidden on the pay fines screen
   (Patron -> Accounting -> Make a payment)

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-01-25 17:45:54 UTC
Created attachment 97940 [details] [review]
Bug 24515: Column Configuration for pay-fines-table does not hide Account Type properly

This patch corrects the order of the columns in the columns
configuration YML file. The incorrect order was causing the wrong column
to be hidden when changing the columns settings for the table in
Administration.

To test, apply the patch and go to Administration -> Columns settings.

 - Under Patrons -> pay-fines-table, test hiding the account_type and
   description columns, together and separately.
 - Verify that the correct columns are hidden on the pay fines screen
   (Patron -> Accounting -> Make a payment)

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2020-01-27 10:17:34 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-02-10 22:31:45 UTC
Pushed to 19.11.x for 19.11.03
Comment 6 Lucas Gass 2020-02-14 17:57:08 UTC
backported to 19.05.x. for 19.05.08